wxWidgets: wxRealPoint Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxRealPoint Class Reference
Class List by Category » Data Structures

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-3.x86_64/src/wxWidgets-3.1.5/interface/wx/gdicmn.h>`

## Detailed Description

A wxRealPoint is a useful data structure for graphics operations.

It contains floating point x and y members. See wxPoint for an integer version.

Note that the coordinates stored inside a wxRealPoint object may be negative and that wxRealPoint functions do not perform any check against negative values.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxPoint

## Miscellaneous operators
Note that these operators are documented as class members (to make them easier to find) but, as their prototype shows, they are implemented as global operators; note that this is transparent to the user but it helps to understand why the following functions are documented to take the wxPoint they operate on as an explicit argument.
double | x
| X coordinate of this point.
double | y
| Y coordinate of this point.
wxRealPoint & | operator= (const wxRealPoint &pt)
| X coordinate of this point.
bool | operator== (const wxRealPoint &p1, const wxRealPoint &p2)
| X coordinate of this point.
bool | operator!= (const wxRealPoint &p1, const wxRealPoint &p2)
| X coordinate of this point.
wxRealPoint | operator+ (const wxRealPoint &p1, const wxRealPoint &p2)
| X coordinate of this point.
wxRealPoint | operator- (const wxRealPoint &p1, const wxRealPoint &p2)
| X coordinate of this point.
wxRealPoint & | operator+= (const wxRealPoint &pt)
| X coordinate of this point.
wxRealPoint & | operator-= (const wxRealPoint &pt)
| X coordinate of this point.
wxRealPoint | operator+ (const wxRealPoint &pt, const wxSize &sz)
| X coordinate of this point.
wxRealPoint | operator- (const wxRealPoint &pt, const wxSize &sz)
| X coordinate of this point.
wxRealPoint | operator+ (const wxSize &sz, const wxRealPoint &pt)
| X coordinate of this point.
wxRealPoint | operator- (const wxSize &sz, const wxRealPoint &pt)
| X coordinate of this point.
wxRealPoint & | operator+= (const wxSize &sz)
| X coordinate of this point.
wxRealPoint & | operator-= (const wxSize &sz)
| X coordinate of this point.
wxSize | operator/ (const wxRealPoint &sz, int factor)
| X coordinate of this point.
wxSize | operator* (const wxRealPoint &sz, int factor)
| X coordinate of this point.
wxSize | operator* (int factor, const wxSize &sz)
| X coordinate of this point.
wxSize & | operator/= (int factor)
| X coordinate of this point.
wxSize & | operator*= (int factor)
| X coordinate of this point.

## Public Member Functions
| wxRealPoint ()
| Initializes to zero the x and y members.
| wxRealPoint (double x, double y)
| Initializes the point with the given coordinates.
| wxRealPoint (const wxPoint &pt)
| Converts the given wxPoint (with integer coordinates) to a wxRealPoint.

## Constructor & Destructor Documentation

## ◆ wxRealPoint() [1/3]

wxRealPoint::wxRealPoint | ( |  | ) |

Initializes to zero the x and y members.

## ◆ wxRealPoint() [2/3]

wxRealPoint::wxRealPoint | ( | double | x,
|  | double | y )

Initializes the point with the given coordinates.

## ◆ wxRealPoint() [3/3]

wxRealPoint::wxRealPoint | ( | const wxPoint & | pt | ) |

Converts the given wxPoint (with integer coordinates) to a wxRealPoint.

## Member Function Documentation

## ◆ operator!=()

bool wxRealPoint::operator!= | ( | const wxRealPoint & | p1,
|  | const wxRealPoint & | p2 )

X coordinate of this point.

## ◆ operator*() [1/2]

wxSize wxRealPoint::operator* | ( | const wxRealPoint & | sz,
|  | int | factor )

X coordinate of this point.

## ◆ operator*() [2/2]

wxSize wxRealPoint::operator* | ( | int | factor,
|  | const wxSize & | sz )

X coordinate of this point.

## ◆ operator*=()

wxSize & wxRealPoint::operator*= | ( | int | factor | ) |

X coordinate of this point.

## ◆ operator+() [1/3]

wxRealPoint wxRealPoint::operator+ | ( | const wxRealPoint & | p1,
|  | const wxRealPoint & | p2 )

X coordinate of this point.

## ◆ operator+() [2/3]

wxRealPoint wxRealPoint::operator+ | ( | const wxRealPoint & | pt,
|  | const wxSize & | sz )

X coordinate of this point.

## ◆ operator+() [3/3]

wxRealPoint wxRealPoint::operator+ | ( | const wxSize & | sz,
|  | const wxRealPoint & | pt )

X coordinate of this point.

## ◆ operator+=() [1/2]

wxRealPoint & wxRealPoint::operator+= | ( | const wxRealPoint & | pt | ) |

X coordinate of this point.

## ◆ operator+=() [2/2]

wxRealPoint & wxRealPoint::operator+= | ( | const wxSize & | sz | ) |

X coordinate of this point.

## ◆ operator-() [1/3]

wxRealPoint wxRealPoint::operator- | ( | const wxRealPoint & | p1,
|  | const wxRealPoint & | p2 )

X coordinate of this point.

## ◆ operator-() [2/3]

wxRealPoint wxRealPoint::operator- | ( | const wxRealPoint & | pt,
|  | const wxSize & | sz )

X coordinate of this point.

## ◆ operator-() [3/3]

wxRealPoint wxRealPoint::operator- | ( | const wxSize & | sz,
|  | const wxRealPoint & | pt )

X coordinate of this point.

## ◆ operator-=() [1/2]

wxRealPoint & wxRealPoint::operator-= | ( | const wxRealPoint & | pt | ) |

X coordinate of this point.

## ◆ operator-=() [2/2]

wxRealPoint & wxRealPoint::operator-= | ( | const wxSize & | sz | ) |

X coordinate of this point.

## ◆ operator/()

wxSize wxRealPoint::operator/ | ( | const wxRealPoint & | sz,
|  | int | factor )

X coordinate of this point.

## ◆ operator/=()

wxSize & wxRealPoint::operator/= | ( | int | factor | ) |

X coordinate of this point.

## ◆ operator=()

wxRealPoint & wxRealPoint::operator= | ( | const wxRealPoint & | pt | ) |

X coordinate of this point.

## ◆ operator==()

bool wxRealPoint::operator== | ( | const wxRealPoint & | p1,
|  | const wxRealPoint & | p2 )

X coordinate of this point.

## Member Data Documentation

## ◆ x

double wxRealPoint::x

X coordinate of this point.

## ◆ y

double wxRealPoint::y

Y coordinate of this point.